BANK KALTENG - Bug #3089

ESS Travel untuk membuat autofill di form Header Cost
09/27/2024 05:14 PM - Regina Tasya

Status: Closed Start date: 09/27/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.00 hours
Description

Dear mas Azid,

mohon bantuannya terkait beberapa hal di Ess Travel sebagai berikut:

A Header
Start Date: 01/09/2024 Travel Reason
End Date: 01/09/2024
Travel Status: Settlement Travel Result
Travel Type: ratan Dalam Wilayah Kalimantan Tengah
Departure: Organizer
Destination:
» Route
A Cost
© A
Start Date End Date Currency Cost Type Number Rate Cost Description Cost Center

ketika sudah memilih travel type, untuk di form costnya ingin autofill dari header, untuk start date dan end date langsung terisi sesuai
yang diinputkan di header, kemudian untuk kolom cost type ingin autofill sesuai dengan travel type yg dipilih di header, kemudian
disesuaikan dengan travel type di mappingan table CTVCOSTYPTOCOSTYP
menu id: CTVCSTYTOCSTY
tablename: CTVCOSTYPTOCOSTYP

makasiih

menu: myworkplace- request- travel
Port: http://remote.minovais.com:31130/

DB: MinovaES_Bank_Kalteng_Dev (di 1442)
History

#1 - 09/30/2024 02:05 PM - Regina Tasya
- File clipboard-202409301357-hh1po.png added

penjelasan tambahan kak, jadi di ess travel untuk cost ingin untuk start date, end date, currency, cost type, number, dan rate ingin autofill dari header.

A Cost

© Add [T DoRTE

Start Date End Date

Currency

Cost Type

Number

Rate

#2 - 10/02/2024 03:18 PM - Regina Tasya
rate diambil dari table PHRTVTOCOST

number diambil melalui flag number di table CTVCOSTYPTOCOSTYP

#3 - 10/03/2024 04:07 PM - Regina Tasya

untuk flag number keterangannya:

O=Isi Manual
1=Hanya 1
2=Hari
3=Malam

#4 - 10/04/2024 10:40 AM - M Azid Wahyudi
- File clipboard-202410041036-mkcfj.png added

- Status changed from Assigned to QA Test
Cost Description

Cost Center

Plan
http://remote.minovais.com:31130/

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , udah bisa di test

ntuk x Minova ES | Travel

A Netsecure  htt note.minovais.com:31130 Flow? 3 /LkpbovFYn1Y X n} M Paused

MyWorkplace  Human Resource  Business Intelligence  System Administration Search Q  Hep I azid -
StartDate  EndDate | AccomType | AccomClass | Location  ContactNumber Amount | Notes

B My Report

B HR Administration

B Performance Management

B Time Management

B Benefit Management

Forwarding Task o~ Cost

Inbox © Ade | | [ Delete

(St Start Date EndDate Currency | CostType Number Rate | CostDescription Cost Center Plan Settlement  Approval | Notes

Arehive 101102024 03102024 Rp Biaya Penginapan Dinas Dalam Wilayah Kalimantan Tengah 3 550,000.00 "CabangUtama  0.00 1,650,000.00 0.00

Delets Raquest D 2 01102024 031012024 Rp Uang Makan Dinas Dalam Wilayah Kalimantan Tengah 2 110,000.00 " CabangUtama  0.00 220,000.00 0.00

E-Leaming 3 01102024 03102024 Rp Uang Harian Dinas Dalam Wilayah Kalimantan Tengah 2 140,000.00 "CabangUtama " 0.00 260,000.00 0.00
I Human Resource
B Business Intelligence
M System Administration

« ,
A Total Cost
© calculate
Curren.. | Total.. | TotalSettlem.. | TotalAppr.. | BalanceSettlem..  Balance Appr..
Rp 0.00 2,150,000.00 0.00 -2,150,000.00 0.00

package :
bizproz(init & method)
custparam (TRVAUTOFILLCOST)

note :
untuk ngetest ketika di approval ds kasih tau gw ya soalnya gw mau liat headerseq dan seqnya terbentuk atau engga

makasih

#5 - 10/04/2024 01:39 PM - Regina Tasya
- File clipboard-202410041339-vztoh.png added

Travel

HOME > TRAVEL

Information

On Behalf: 00000153 - ESRAANGGRAENIS.T.

Requester 1D: 00000153 - ESRAANGGRAENIS.T.
Request No: 134169
WorkFlow 1D: Travel

WorkFlow Name: Travel

#6 - 10/04/2024 03:19 PM - Regina Tasya
- File clipboard-202410041518-bv2wt.png added
- File clipboard-202410041519-dg6zt.png added

- File clipboard-202410041519-jcwbf.png added

- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to M Azid Wahyudi

dear mas azid,

ingin bantuannya untuk membuat ketentuan dibawah ini:

1. total amount approval harus sama dengan amount settlement

~ Cost

© Add | T Delete

rency CostType Number Rate Cost Description Cost Center Settlement Approval Notes

2. jika pengajuan future total plan dan total settlement harus sama dengan plan yg di hide dan settlementnya

A, Total Cost
0 Calculate
Curren... Total Plan Total Settlement Total Approval Balance Settlem... Balance Ap
No Data Display
. Cost
© Add B Delete plannya dihide
rency Cost Type Number Rate Cost Description Cost Centqr Settlement Approval Notes

3. jika backdate total plan nya 0 aja, terus plan di cost 0

#7 - 10/09/2024 11:11 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , udah bisa di test ya

package :
updatecustparam(TRVAUTOFILLCOST)

makasih

#8 - 10/09/2024 02:47 PM - Kezia Pawitra Yulianti

- Assignee changed from Regina Tasya to Mohammad Daud

Daud,
tolong bantu test untuk task2 BKT ya sementara Tasya msh lanjutin task BIA. Kalau perlu bantuan Jihad/Haykal buat ngetest silahkan saja
Kalau task2 ESS Travel nya sudah selesai semua, kita ajuin aja jadwal uat ke usernya jadi bisa bertahap kita deliver.

Tks

#9 - 10/21/2024 12:34 PM - Regina Tasya

- File clipboard-202410211232-98v6t.png added
- File clipboard-202410211233-k4cyn.png added
- Status changed from QA Test to Deploy
- Assignee changed from Mohammad Daud to Regina Tasya

notes:

-untuk autofill, membaca table CTVCOSTYPTOCOSTYP untuk mappingan travel type dan cost type.
-setelah itu membaca table PHRTVTOCOST untuk rate.
sehingga jika mappingan CTVCOSTYPTOCOSTYP tidak ada di cost ess dikarenakan tidak ada data di PHRTVTOCOST nya.

sudah di cek jika mendaftarkan travel to cost baru di PHRTVTOCOST

EmployeeGra... PHRTVTO... o
StartDate EndDate CompanylD TravelType TravelClass TravelGrade CostType EmployeeGrade  MinAmount Mz ™
19000101 99991231 1000 05 30 111 8020 500 0 0
19000101 99991231 1000 06 30 111 2040 500 0 0
19000101 99991231 1000 06 30 m 8050 300 0 0
19000101 99991231 1000 02 35 12 4000 441 0 0
M 19000101 434991231 1000 02 35 112 3000 A1 0 0
* NULL WULL WNULL WULL WULL WNULL WULL WULL WNULL ] v
£ >
M 4 |2523 of 4523 3
dan sudah berhasil muncul di ui
» Cost
© Add | T Delete
Start Date End Date Currency Cost Type Number R
06112024 06M12024  Rp Uang Makan Dinas Dalam Wilayah Kallmantan Tengah 1 1800
2 08M11/2024 06112024 Fp Jang Harian Dinas Dalam Wilayah Kalimantan Tengah 1 180.0

semuanya sudah sesuai kak terima kasih

#10 - 11/08/2024 10:52 AM - Regina Tasya

- Assignee changed from Regina Tasya to Muhammad Bintar

#11 - 01/06/2025 09:43 AM - Regina Tasya

- Assignee changed from Muhammad Bintar to Regina Tasya

#12 - 01/20/2025 09:30 AM - Regina Tasya

- Status changed from Deploy to Closed
